Bug 1107544 (CVE-2014-3487) - CVE-2014-3487 file: cdf_read_property_info insufficient boundary check
Summary: CVE-2014-3487 file: cdf_read_property_info insufficient boundary check
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3487
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140627,repor...
Depends On: 1080180 1114453 1114454 1120981 1149768 1149774 1238984 1238985
Blocks: 1065838 1107545 1149858 1210268
TreeView+ depends on / blocked
 
Reported: 2014-06-10 07:32 UTC by Francisco Alonso
Modified: 2019-06-11 11:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:33:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1013 normal SHIPPED_LIVE Moderate: php security update 2014-08-06 10:05:17 UTC
PHP Bug Tracker 67413 None None None Never
Red Hat Product Errata RHSA-2014:1765 normal SHIPPED_LIVE Important: php54-php security update 2014-10-30 23:45:24 UTC
Red Hat Product Errata RHSA-2014:1766 normal SHIPPED_LIVE Important: php55-php security update 2014-10-30 23:45:12 UTC
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC

Description Francisco Alonso 2014-06-10 07:32:12 UTC
A flaw was found in the way file uses cdf_read_property_info function when checks stream offsets for certain Composite Document Format (CDF).

Upstream commit:
https://github.com/file/file/commit/93e063ee374b6a75729df9e7201fb511e47e259d

Acknowledgements:

This issue was discovered by Francisco Alonso of Red Hat Product Security.

Comment 3 Francisco Alonso 2014-06-30 06:21:14 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1114454]

Comment 4 Francisco Alonso 2014-06-30 06:21:17 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1114453]

Comment 5 Fedora Update System 2014-07-05 14:53:56 UTC
file-5.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Murray McAllister 2014-07-08 04:59:07 UTC
Statement:

This issue did not affect the versions of file, php, and php53 as shipped with Red Hat Enterprise Linux 5 and 6.

This issue affects the versions of file as shipped with Red Hat Enterprise Linux 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 9 Martin Prpič 2014-08-05 13:51:56 UTC
IssueDescription:

A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.

Comment 10 errata-xmlrpc 2014-08-06 06:06:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1013 https://rhn.redhat.com/errata/RHSA-2014-1013.html

Comment 13 errata-xmlrpc 2014-10-30 19:46:18 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1766 https://rhn.redhat.com/errata/RHSA-2014-1766.html

Comment 14 errata-xmlrpc 2014-10-30 19:47:50 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1765 https://rhn.redhat.com/errata/RHSA-2014-1765.html

Comment 18 errata-xmlrpc 2015-11-19 08:09:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2155 https://rhn.redhat.com/errata/RHSA-2015-2155.html


Note You need to log in before you can comment on or make changes to this bug.